<template>
  <section>
    <LinksPageHeader />
    <LinksFilter
      @on-change-filter="changeFilterStatus"
      :current-filter-status="filterStatus"
    />
    <ContentState :is-loading="isLoading" :is-error="isError">
      <LinkList :links="filteredLinks" v-if="filteredLinks.length > 0" />
      <span v-else>Данных нет</span>
    </ContentState>
  </section>
</template>

<script setup>
import { storeToRefs } from "pinia";
import LinksPageHeader from "@/modules/Tracker/components/LinksPageHeader.vue";
import LinkList from "@/modules/Tracker/components/LinkList.vue";
import ContentState from "@/components/ContentState.vue";
import { useTrackerStore } from "@/modules/Tracker/stores";
import LinksFilter from "@/modules/Tracker/components/LinksFilter.vue";

const trackerStore = useTrackerStore();

const { changeFilterStatus, getLinks } = trackerStore;
const { isLoading, isError, filteredLinks, filterStatus } =
  storeToRefs(trackerStore);

getLinks();
</script>
